org.vertx.java.core.http.impl

## Class WebSocketMatcher.Match

- java.lang.Object
- - org.vertx.java.core.http.impl.WebSocketMatcher.Match

Enclosing class:
  WebSocketMatcher

    public static class WebSocketMatcher.Match
    extends java.lang.Object

### Field Summary

Fields
`java.util.Map<java.lang.String,java.lang.String>` `params`
`ServerWebSocket` `ws`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketMatcher.Match(java.util.Map<java.lang.String,java.lang.String> params, ServerWebSocket ws)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### params

    public final java.util.Map<java.lang.String,java.lang.String> params

#### ws

    public final ServerWebSocket ws

### Constructor Detail

#### WebSocketMatcher.Match

    public WebSocketMatcher.Match(java.util.Map<java.lang.String,java.lang.String> params,
                          ServerWebSocket ws)